# AbstractVideoWidget Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void AbstractVideoWidget()

### Constructor Properties

- prototype: The AbstractVideoWidget prototype object

### Prototype Object Properties

- AspectRatio aspectRatio()
- qreal brightness()
- qreal contrast()
- qreal hue()
- qreal saturation()
- ScaleMode scaleMode()
- void setAspectRatio(AspectRatio arg__1)
- void setBrightness(qreal arg__1)
- void setContrast(qreal arg__1)
- void setHue(qreal arg__1)
- void setSaturation(qreal arg__1)
- void setScaleMode(ScaleMode arg__1)
- QWidget widget()

### Instance Properties

AbstractVideoWidget objects have no special properties beyond those inherited from the AbstractVideoWidget prototype object.